diff -ru PyWebDAV-0.9~/DAV/status.py PyWebDAV-0.9/DAV/status.py
--- PyWebDAV-0.9~/DAV/status.py	2009-05-01 17:36:40.000000000 +0200
+++ PyWebDAV-0.9/DAV/status.py	2009-05-01 17:35:45.000000000 +0200
@@ -7,6 +7,7 @@
 
 
 STATUS_CODES={
+        100:    "Continue",
         102:    "Processing",
         200:    "Ok",
         201:    "Created",
diff -ru PyWebDAV-0.9~/DAV/WebDAVServer.py PyWebDAV-0.9/DAV/WebDAVServer.py
--- PyWebDAV-0.9~/DAV/WebDAVServer.py	2009-05-01 17:37:05.000000000 +0200
+++ PyWebDAV-0.9/DAV/WebDAVServer.py	2009-05-01 17:36:19.000000000 +0200
@@ -312,6 +312,14 @@
     def do_PUT(self):
         dc=self.IFACE_CLASS
 
+        # Handle expect
+        expect = self.headers.get('Expect', '')
+        if (expect.lower() == '100-continue' and
+                self.protocol_version >= 'HTTP/1.1' and
+                self.request_version >= 'HTTP/1.1'):
+            self.send_status(100)
+            self._flush()
+
         # read the body
         body=None
         if self.headers.has_key("Content-Length"):
